Name:          java-graphx
Version:       4.2.2
Release:       1mamba
Summary:       Java Swing Diagramming Library
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.diagrams.net/
Source:        https://github.com/jgraph/jgraphx.git/v%{version}/jgraphx-%{version}.tar.bz2
License:       BSD, LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: java-openjdk8
BuildRequires: apache-maven
BuildRequires: javapackages

%description
JGraph X is the next generation of Java Swing Diagramming Library, factoring in 7 years of architectural improvements into a clean, concise design. JGraph X provides a simple, powerful API, as well a more application-centric feature set.
The result is a low learning curve and faster implementation of customizations in your development. JGraph X shares the core model of mxGraph, so your JGraph X application more easily ports directly to an mxGraph web application.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jgraphx-%{version}
sed -i 's/1.5/1.7/g' pom.xml

%build
# NOTE: scilab 6.1.0 requires this package built with openjdk8
export JAVA_HOME=%{_jvmdir}/java-8-openjdk
mvn -DskipTests=true clean package

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jgraphx-%{version}.jar \
	%{buildroot}%{_javadir}/jgraphx-%{version}.jar
(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/jgraphx-%{version}
cp -pr docs/* %{buildroot}%{_javadocdir}/jgraphx-%{version}
ln -sf jgraphx-%{version} %{buildroot}%{_javadocdir}/jgraphx

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/jgraphx-%{version}.jar
%{_javadir}/jgraphx.jar
%doc license.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/jgraphx-%{version}
%{_javadocdir}/jgraphx
%doc examples

%changelog
* Tue Mar 14 2023 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic update by autodist

* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.12-1mamba
- update to 3.9.12

* Fri Feb 04 2011 gil <puntogil@libero.it> 1.4.1.0-1mamba
- update to 1.4.1.0

* Sat Apr 18 2009 gil <puntogil@libero.it> 0.99.0.4-1mamba
- package created by autospec
